/*
 * This Source Code is subject to the terms of the Mozilla Public License
 * version 2.0 (the "License"). You can obtain a copy of the License at
 * http://mozilla.org/MPL/2.0/.
 */

let {Prefs} = require("prefs");

window.addEventListener("DOMContentLoaded", function(event)
{
	E("icon").setAttribute("src", require("info").addonRoot + "icon64.png");
}, false);

function onAccept()
{
	Prefs.domainOptInAsk = true;
	Prefs.domainOptIn = true;
}

function onCancel()
{
	Prefs.domainOptInAsk = true;
	Prefs.domainOptIn = false;
}

function onDisclosure()
{
	require("typedItCollector").openDisclosurePage();
	window.close();
}
